# Get Ticket Log

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
POST /tickets/{ticketId}/log
```

#### Query Parameters.

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to receive</td></tr><tr><td>take</td><td>integer</td><td>no</td><td>Max ammount of tickets shown in results. Max value is 50. default: 25</td></tr><tr><td>skip</td><td>integer</td><td>no</td><td>Amount of tickets should be skipped from the result</td></tr></tbody></table>

#### Request Body

```json
{
    "action_types": [
        "ticket_status_changed",
        "ticket_read"
    ]
}
```

Body of request should contain the following model serialized to JSON.

| Field         | Type                                                                                                              | Comments                                                                            |
| ------------- | ----------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| action\_types | array of Ticket [action type enumeration](/docs/apis/tickets/reference/enumerations/ticket-action-type.md) values | Action types needed to be added to results. If empty, all action types are returned |

#### Response

```json
{
    "data": [
        {
            "actionString": "leste saken",
            "actionType": "ticket_read",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "user": {
                "customIdentifier": null,
                "id": "7ada8318-adf9-46d1-97ff-81aee80a8415",
                "image": null,
                "name": "Anton Checkhov",
                "email": "Anton@Checkhov.com",
                "status": "team",
                "isBot": false
            },
            "time": "2022-10-28T12:41:36.6267804+00:00"
        },
        {
            "actionString": "endret sakens status fra \"På vent\" til \"Åpen\"",
            "actionType": "ticket_status_changed",
            "includedItems": {
                "categories": [],
                "tags": [],
                "users": []
            },
            "user": {
                "customIdentifier": null,
                "id": "7ada8318-adf9-46d1-97ff-81aee80a8415",
                "image": null,
                "name": "Anton Checkhov",
                "email": "Anton@Checkhov.com",
                "status": "team",
                "isBot": false
            },
            "time": "2022-09-27T23:05:58.7768791+00:00"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field will contain array of an [Ticket Log](/docs/apis/tickets/reference/objects/ticket-log.md) models.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-ticket-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
